import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { getStyles } from './IconButton.styles';
import { BaseButton } from '../BaseButton';
import BaseComponent from '../../BaseComponent';
let IconButton = class IconButton extends BaseComponent {
    get internalStyles() {
        const { theme, styles } = this;
        return getStyles(theme, styles);
    }
    render(h) {
        const { iconProps, disabled, internalStyles } = this;
        const props = {
            iconProps,
            disabled,
            variantClassName: 'ms-Button--icon',
            styles: internalStyles,
        };
        return h(BaseButton, {
            props,
            attrs: this.$attrs,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    }
};
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], IconButton.prototype, "disabled", void 0);
__decorate([
    Prop({ type: Object, default: () => { } }),
    __metadata("design:type", Object)
], IconButton.prototype, "iconProps", void 0);
IconButton = __decorate([
    Component({
        inheritAttrs: false,
    })
], IconButton);
export { IconButton };
//# sourceMappingURL=IconButton.js.map