import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { ChoiceGroupOption } from './ChoiceGroupOption';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { Label } from '../Label';
const getClassNames = classNamesFunction();
let ChoiceGroupBase = class ChoiceGroupBase extends BaseComponent {
    constructor() {
        super(...arguments);
        this.selectedOption = {};
    }
    get classNames() {
        const { styles, theme, className } = this;
        return getClassNames(styles, {
            theme, className, optionsContainIconOrImage: false,
        });
    }
    onClick(ev, option) {
        ev.preventDefault();
        if (option.disabled)
            return;
        this.selectedOption = option;
    }
    render(h) {
        const { classNames, label, required, disabled, selectedOption, options } = this;
        const $label = label && h(Label, {
            class: classNames.label,
            attrs: {
                required,
                disabled,
            },
        }, label);
        const $flexContainer = h('div', {
            class: classNames.flexContainer,
        }, options.map(option => h(ChoiceGroupOption, {
            key: option.key,
            attrs: {
                id: option.key,
            },
            props: {
                ...option,
                checked: selectedOption.key === option.key,
            },
            nativeOn: {
                click: ev => this.onClick(ev, option),
            },
        }, option.text)));
        return h('div', { class: classNames.root }, [
            $label,
            $flexContainer,
        ]);
    }
};
__decorate([
    Prop({ type: String, default: null }),
    __metadata("design:type", String)
], ChoiceGroupBase.prototype, "label", void 0);
__decorate([
    Prop({ type: Array, default: () => [] }),
    __metadata("design:type", Array)
], ChoiceGroupBase.prototype, "options", void 0);
__decorate([
    Prop({ type: Array, default: () => [] }),
    __metadata("design:type", Array)
], ChoiceGroupBase.prototype, "value", void 0);
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], ChoiceGroupBase.prototype, "disabled", void 0);
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], ChoiceGroupBase.prototype, "required", void 0);
ChoiceGroupBase = __decorate([
    Component({
        components: { ChoiceGroupOption, Label },
    })
], ChoiceGroupBase);
export { ChoiceGroupBase };
//# sourceMappingURL=ChoiceGroup.base.js.map