import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { FacepileButton } from './FacepileButton/FacepileButton';
import { Persona, PersonaSize } from '../../Persona';
const getClassNames = classNamesFunction();
let FacepileBase = class FacepileBase extends BaseComponent {
    get singlePersona() {
        return this.personas.length === 1;
    }
    get classNames() {
        return getClassNames(this.styles, {
            theme: this.theme,
            className: this.className,
        });
    }
    render(h) {
        const { classNames, personas, singlePersona, personaSize } = this;
        const $personas = personas.map((persona, index) => h('li', {
            class: classNames.member,
            key: singlePersona ? 'persona' : `personaCoin-${index}`,
            attrs: { role: 'option' },
        }, [
            h('div', {
                class: classNames.itemButton,
                attrs: {
                    title: persona.personaName,
                },
            }, [
                h(Persona, {
                    props: {
                        ...persona,
                        text: persona.personaName,
                        presence: 2,
                        size: personaSize,
                        styles: {
                            details: {
                                flex: '1 0 auto',
                            },
                        },
                    },
                }),
            ]),
        ]));
        return h('div', { class: classNames.root }, [
            h('div', { class: classNames.itemContainer }, [
                h('ul', {
                    class: classNames.members,
                    attrs: {
                        role: 'listbox',
                    },
                }, $personas),
            ]),
        ]);
    }
};
__decorate([
    Prop({ type: Array, default: () => [] }),
    __metadata("design:type", Array)
], FacepileBase.prototype, "personas", void 0);
__decorate([
    Prop({ type: Number, default: 11 }),
    __metadata("design:type", Number)
], FacepileBase.prototype, "personaSize", void 0);
FacepileBase = __decorate([
    Component({
        components: { FacepileButton, Persona },
    })
], FacepileBase);
export { FacepileBase };
//# sourceMappingURL=Facepile.base.js.map