import { __decorate, __metadata } from "tslib";
import { memoizeFunction, css } from '@uifabric-vue/utilities';
import { getIcon } from '@uifabric/styling';
import StatelessComponent from '../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
import { MS_ICON, classNames } from './Icon.styles';
export const getIconContent = memoizeFunction((iconName) => {
    const { code, subset } = getIcon(iconName) || {
        subset: {},
        code: undefined,
    };
    if (!code) {
        return null;
    }
    return {
        children: code,
        iconClassName: subset.className,
        fontFamily: subset.fontFace && subset.fontFace.fontFamily,
    };
}, undefined, 
// @ts-ignore
true);
let FontIcon = class FontIcon extends StatelessComponent {
    render(h, ctx) {
        const { iconName, className, style = {} } = ctx.props;
        const iconContent = getIconContent(iconName) || {};
        const { iconClassName, children, fontFamily } = iconContent;
        return h('i', {
            class: css(MS_ICON, classNames.root, iconClassName, !iconName && classNames.placeholder, className),
            style: { fontFamily, ...style },
        }, children);
    }
};
__decorate([
    Prop({ type: String, default: '' }),
    __metadata("design:type", String)
], FontIcon.prototype, "iconName", void 0);
FontIcon = __decorate([
    Component
], FontIcon);
export { FontIcon };
//# sourceMappingURL=FontIcon.js.map