import { classNamesFunction } from '../../Utilities';
import StatelessComponent from '../StatelessComponent';
/**
 * A component corresponding the content rendered inside the callout of the keytip component.
 * {@docCategory Keytips}
 */
export class KeytipContentBase extends StatelessComponent {
    render(h, ctx) {
        const { content, styles, theme, disabled, visible } = ctx.props;
        const getClassNames = classNamesFunction();
        const classNames = getClassNames(styles, {
            theme: theme,
            disabled,
            visible,
        });
        return h('div', { class: classNames.container }, [
            h('span', { class: classNames.root }, content),
        ]);
    }
}
//# sourceMappingURL=KeytipContent.base.js.map