import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
const getClassNames = classNamesFunction({
    // Label is used a lot by other components.
    // It's likely to see expected cases which pass different className to the Label.
    // Therefore setting a larger cache size.
    cacheSize: 100,
});
let LabelBase = class LabelBase extends StatelessComponent {
    render(h, context) {
        const { as: RootType, theme, styles, className, disabled, required } = context.props;
        const classNames = getClassNames(styles, {
            className,
            disabled,
            required,
            theme: theme,
        });
        return h(RootType, {
            ...context.data,
            class: classNames.root,
        }, context.children);
    }
};
__decorate([
    Prop({ type: String, default: 'label' }),
    __metadata("design:type", String)
], LabelBase.prototype, "as", void 0);
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], LabelBase.prototype, "disabled", void 0);
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], LabelBase.prototype, "required", void 0);
LabelBase = __decorate([
    Component
], LabelBase);
export { LabelBase };
//# sourceMappingURL=Label.base.js.map