import { __decorate, __metadata } from "tslib";
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
const getClassNames = classNamesFunction();
let ShimmerCircleBase = class ShimmerCircleBase extends StatelessComponent {
    render(h, ctx) {
        const { height, styles, borderStyle, theme } = ctx.props;
        const classNames = getClassNames(styles, {
            theme: theme,
            height,
            borderStyle,
        });
        return h('div', {
            class: classNames.root,
        }, [
            h('svg', {
                attrs: {
                    viewBox: '0 0 10 10',
                    width: height,
                    height: height,
                    class: classNames.svg,
                },
            }, [
                h('path', {
                    attrs: {
                        d: 'M0,0 L10,0 L10,10 L0,10 L0,0 Z M0,5 C0,7.76142375 2.23857625,10 5,10 C7.76142375,10 10,7.76142375 10,5 C10,2.23857625 7.76142375,2.22044605e-16 5,0 C2.23857625,-2.22044605e-16 0,2.23857625 0,5 L0,5 Z',
                    },
                }),
            ]),
        ]);
    }
};
__decorate([
    Prop({ type: Number, default: 0 }),
    __metadata("design:type", Number)
], ShimmerCircleBase.prototype, "height", void 0);
__decorate([
    Prop({ type: String, default: 'auto' }),
    __metadata("design:type", String)
], ShimmerCircleBase.prototype, "width", void 0);
ShimmerCircleBase = __decorate([
    Component
], ShimmerCircleBase);
export { ShimmerCircleBase };
//# sourceMappingURL=ShimmerCircle.base.js.map