import { __decorate, __metadata } from "tslib";
import StatelessComponent from '../../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '../../../Utilities';
const getClassNames = classNamesFunction();
let ShimmerGapBase = class ShimmerGapBase extends StatelessComponent {
    render(h, ctx) {
        const { height, styles, width = '10px', borderStyle, theme } = ctx.props;
        const classNames = getClassNames(styles, {
            theme: theme,
            height,
            borderStyle,
        });
        return h('div', {
            class: classNames.root,
            style: { width: width, minWidth: typeof width === 'number' ? `${width}px` : 'auto' },
        });
    }
};
__decorate([
    Prop({ type: Number, default: 0 }),
    __metadata("design:type", Number)
], ShimmerGapBase.prototype, "height", void 0);
__decorate([
    Prop({ type: String, default: 'auto' }),
    __metadata("design:type", String)
], ShimmerGapBase.prototype, "width", void 0);
ShimmerGapBase = __decorate([
    Component
], ShimmerGapBase);
export { ShimmerGapBase };
//# sourceMappingURL=ShimmerGap.base.js.map