import { getGlobalClassNames, HighContrastSelector } from '../../../Styling';
const GlobalClassNames = {
    root: 'ms-ShimmerGap-root',
};
export function getStyles(props) {
    const { height, borderStyle, theme } = props;
    const { semanticColors } = theme;
    const globalClassNames = getGlobalClassNames(GlobalClassNames, theme);
    const borderStyles = borderStyle || {};
    return {
        root: [
            globalClassNames.root,
            theme.fonts.medium,
            {
                backgroundColor: semanticColors.bodyBackground,
                height: `${height}px`,
                boxSizing: 'content-box',
                borderTopStyle: 'solid',
                borderBottomStyle: 'solid',
                borderColor: semanticColors.bodyBackground,
                selectors: {
                    [HighContrastSelector]: {
                        backgroundColor: 'Window',
                        borderColor: 'Window',
                    },
                },
            },
            borderStyles,
        ],
    };
}
//# sourceMappingURL=ShimmerGap.styles.js.map