import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
const getClassNames = classNamesFunction();
let Spinner = class Spinner extends StatelessComponent {
    render(h, ctx) {
        const { theme, styles, className, size, label, labelPosition } = ctx.props;
        const classNames = getClassNames(styles, {
            theme,
            size,
            className,
            labelPosition,
        });
        const $circle = h('div', { class: classNames.circle });
        const $label = (ctx.scopedSlots.default || label) && h('div', { class: classNames.label }, ctx.scopedSlots.default ? [
            ctx.scopedSlots.default({}),
        ] : label);
        return h('div', { class: classNames.root }, [
            $circle,
            $label,
        ]);
    }
};
__decorate([
    Prop({ type: String, default: null }),
    __metadata("design:type", String)
], Spinner.prototype, "label", void 0);
__decorate([
    Prop({ type: String, default: 'bottom' }),
    __metadata("design:type", String)
], Spinner.prototype, "labelPosition", void 0);
__decorate([
    Prop({ type: Number, default: 20 }),
    __metadata("design:type", Number)
], Spinner.prototype, "size", void 0);
Spinner = __decorate([
    Component
], Spinner);
export default Spinner;
//# sourceMappingURL=Spinner.base.js.map