import { concatStyleSetsWithProps } from '@uifabric/merge-styles';
import Vue from 'vue';
import { Customizations } from '@uifabric-vue/utilities';
const DefaultFields = ['theme', 'styles'];
export function styled(Component, baseStyles, getProps, customizable, pure) {
    customizable = customizable || { scope: '', fields: undefined };
    const { scope, fields = DefaultFields } = customizable;
    let _styles;
    return Vue.extend({
        name: `Styled${Component.displayName || Component.name}`,
        functional: true,
        render(h, context) {
            const settings = Customizations.getSettings(fields, scope);
            const { styles: customizedStyles, dir, ...rest } = settings;
            const additionalProps = getProps ? getProps(this) : undefined;
            if (!_styles || customizedStyles !== _styles.__cachedInputs__[1] || !!context.props.styles) {
                _styles = (styleProps) => concatStyleSetsWithProps(styleProps, baseStyles, context.props.styles);
                _styles.__cachedInputs__ = [baseStyles, context.props.styles];
            }
            return h(Component, {
                ...context.data,
                props: {
                    ...rest,
                    ...additionalProps,
                    ...context.props,
                    className: context.props.className || context.data.class,
                    styles: _styles,
                },
            }, context.children);
        },
    });
}
//# sourceMappingURL=styled.js.map