import * as Components from '../components';
import { toKebabCase } from '../utilities';
import { loadTheme } from './loadTheme';
export default function install(Vue, theme = {}, options = {}) {
    for (const componentName in Components) {
        const Component = Components[componentName];
        if (Component && Component.prototype instanceof Vue) {
            const name = `${options.prefix || 'f'}-${toKebabCase(componentName)}`;
            Vue.component(name, Component);
        }
    }
    loadTheme(theme);
}
//# sourceMappingURL=office-fabric.js.map